Loading...
Searching...
No Matches
etl::iindirect_vector< T >::binary_function_adaptor< TBinaryFunction, TReturnType > Class Template Reference

Binary function adaptor. More...

`#include <indirect_vector.h>`

## Public Member Functions

| binary_function_adaptor (TBinaryFunction binary_function_)
TReturnType | operator() (const_pointer indirect_itr_lhs, const_pointer indirect_itr_rhs)

## Public Attributes

TBinaryFunction | binary_function

## Detailed Description

template<typename T>
template<typename TBinaryFunction, typename TReturnType = void>
class etl::iindirect_vector< T >::binary_function_adaptor< TBinaryFunction, TReturnType >

Binary function adaptor.

The documentation for this class was generated from the following file:

- include/etl/indirect_vector.h